# SuppressWeatherEffectAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SuppressWeatherEffectAbAttr

#### Hierarchy (view full)

- PreWeatherEffectAbAttr
  - SuppressWeatherEffectAbAttr

- Defined in src/data/ability.ts:2214

#####
Index

### Constructors

constructor

### Properties

affectsImmutable
showAbility

### Methods

addCondition
apply
applyPreWeatherEffect
getCondition
getTriggerMessage

## Constructors

### constructor

- new SuppressWeatherEffectAbAttr(affectsImmutable?): SuppressWeatherEffectAbAttr

- #### Parameters

  - `Optional` affectsImmutable: boolean

  #### Returns SuppressWeatherEffectAbAttr

  Overrides PreWeatherEffectAbAttr.constructor

  - Defined in src/data/ability.ts:2217

## Properties

### affectsImmutable

affectsImmutable: boolean

- Defined in src/data/ability.ts:2215

### showAbility

showAbility: boolean

Inherited from PreWeatherEffectAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PreWeatherEffectAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PreWeatherEffectAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreWeatherEffect

- applyPreWeatherEffect(pokemon, passive, weather, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - weather: Weather
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides PreWeatherEffectAbAttr.applyPreWeatherEffect

  - Defined in src/data/ability.ts:2223

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PreWeatherEffectAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PreWeatherEffectAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137